/*
 * This file was automatically generated by EvoSuite
 * Wed Sep 19 21:58:55 GMT 2018
 */

package uk.ac.sanger.artemis.io;

import org.junit.Test;
import static org.junit.Assert.*;
import static org.evosuite.runtime.EvoAssertions.*;
import org.evosuite.runtime.EvoRunner;
import org.evosuite.runtime.EvoRunnerParameters;
import org.junit.runner.RunWith;
import uk.ac.sanger.artemis.io.Qualifier;
import uk.ac.sanger.artemis.io.QualifierVector;

@RunWith(EvoRunner.class) @EvoRunnerParameters(mockJVMNonDeterminism = true, useVFS = true, useVNET = true, resetStaticState = true, separateClassLoader = false, useJEE = true) 
public class QualifierVector_ESTest extends QualifierVector_ESTest_scaffolding {

  @Test(timeout = 4000)
  public void test00()  throws Throwable  {
      QualifierVector qualifierVector0 = new QualifierVector();
      qualifierVector0.add((Qualifier) null);
      QualifierVector qualifierVector1 = qualifierVector0.copy();
      assertEquals(1, qualifierVector1.capacity());
  }

  @Test(timeout = 4000)
  public void test01()  throws Throwable  {
      QualifierVector qualifierVector0 = new QualifierVector();
      // Undeclared exception!
      try { 
        qualifierVector0.setQualifier((Qualifier) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
         verifyException("uk.ac.sanger.artemis.io.QualifierVector", e);
      }
  }

  @Test(timeout = 4000)
  public void test02()  throws Throwable  {
      QualifierVector qualifierVector0 = new QualifierVector();
      qualifierVector0.add(0, (Qualifier) null);
      // Undeclared exception!
      try { 
        qualifierVector0.getQualifierByName("Cannot find sample requested: ");
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
         verifyException("uk.ac.sanger.artemis.io.QualifierVector", e);
      }
  }

  @Test(timeout = 4000)
  public void test03()  throws Throwable  {
      QualifierVector qualifierVector0 = new QualifierVector();
      qualifierVector0.insertElementAt((Qualifier) null, 0);
      // Undeclared exception!
      try { 
        qualifierVector0.contains((String) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
         verifyException("uk.ac.sanger.artemis.io.QualifierVector", e);
      }
  }

  @Test(timeout = 4000)
  public void test04()  throws Throwable  {
      QualifierVector qualifierVector0 = new QualifierVector();
      // Undeclared exception!
      try { 
        qualifierVector0.addQualifierValues((Qualifier) null);
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
         verifyException("uk.ac.sanger.artemis.io.QualifierVector", e);
      }
  }

  @Test(timeout = 4000)
  public void test05()  throws Throwable  {
      QualifierVector qualifierVector0 = new QualifierVector();
      qualifierVector0.setSize(1738);
      // Undeclared exception!
      try { 
        qualifierVector0.indexOfQualifierWithName("^RYl0]");
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
         verifyException("uk.ac.sanger.artemis.io.QualifierVector", e);
      }
  }

  @Test(timeout = 4000)
  public void test06()  throws Throwable  {
      QualifierVector qualifierVector0 = new QualifierVector();
      int int0 = qualifierVector0.indexOfQualifierWithName("S5^<\rNGnPBS");
      assertEquals((-1), int0);
  }

  @Test(timeout = 4000)
  public void test07()  throws Throwable  {
      QualifierVector qualifierVector0 = new QualifierVector();
      Qualifier qualifier0 = qualifierVector0.getQualifierByName((String) null);
      assertNull(qualifier0);
  }

  @Test(timeout = 4000)
  public void test08()  throws Throwable  {
      QualifierVector qualifierVector0 = new QualifierVector();
      qualifierVector0.addElement((Qualifier) null);
      // Undeclared exception!
      try { 
        qualifierVector0.removeQualifierByName("gxt:rs");
        fail("Expecting exception: NullPointerException");
      
      } catch(NullPointerException e) {
         //
         // no message in exception (getMessage() returned null)
         //
         verifyException("uk.ac.sanger.artemis.io.QualifierVector", e);
      }
  }

  @Test(timeout = 4000)
  public void test09()  throws Throwable  {
      QualifierVector qualifierVector0 = new QualifierVector();
      boolean boolean0 = qualifierVector0.contains("htsjdk.varint.vaiantcontext.filter.CompoundFilter");
      assertFalse(boolean0);
  }

  @Test(timeout = 4000)
  public void test10()  throws Throwable  {
      QualifierVector qualifierVector0 = new QualifierVector();
      qualifierVector0.removeQualifierByName("htsjdk.varint.vaiantcontext.filter.CompoundFilter");
      assertEquals(7, qualifierVector0.capacity());
  }

  @Test(timeout = 4000)
  public void test11()  throws Throwable  {
      QualifierVector qualifierVector0 = new QualifierVector();
      QualifierVector qualifierVector1 = qualifierVector0.copy();
      assertNotSame(qualifierVector1, qualifierVector0);
  }
}
